Package org.eclipse.ui.keys

# Class KeyFormatterFactory

java.lang.Object
org.eclipse.ui.keys.KeyFormatterFactory

@Deprecated public final class KeyFormatterFactory extends Object
Deprecated.
Please use org.eclipse.jface.bindings.keys.KeyFormatterFactory
A cache for formatters. It keeps a few instances of pre-defined instances of `IKeyFormatter` available for use. It also allows the default formatter to be changed.

Since:
  3.0
See Also:
  - `IKeyFormatter`

## Method Summary

Modifier and Type
Method
Description
`static IKeyFormatter`
`getCompactKeyFormatter()`
Deprecated.
Provides an instance of `CompactKeyFormatter`.
`static IKeyFormatter`
`getDefault()`
Deprecated.
An accessor for the current default key formatter.
`static IKeyFormatter`
`getEmacsKeyFormatter()`
Deprecated.
Provides an instance of `EmacsKeyFormatter`.
`static IKeyFormatter`
`getFormalKeyFormatter()`
Deprecated.
Provides an instance of `FormalKeyFormatter`.
`static void`
`setDefault(IKeyFormatter defaultKeyFormatter)`
Deprecated.
Sets the default key formatter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCompactKeyFormatter

public static IKeyFormatter getCompactKeyFormatter()
Deprecated.
Provides an instance of `CompactKeyFormatter`.

Returns:
  The compact formatter; never `null`.

### getDefault

public static IKeyFormatter getDefault()
Deprecated.
An accessor for the current default key formatter.

Returns:
  The default formatter; never `null`.

### getEmacsKeyFormatter

public static IKeyFormatter getEmacsKeyFormatter()
Deprecated.
Provides an instance of `EmacsKeyFormatter`.

Returns:
  The Xemacs formatter; never `null`.

### getFormalKeyFormatter

public static IKeyFormatter getFormalKeyFormatter()
Deprecated.
Provides an instance of `FormalKeyFormatter`.

Returns:
  The formal formatter; never `null`.

### setDefault

public static void setDefault(IKeyFormatter defaultKeyFormatter)
Deprecated.
Sets the default key formatter.

Parameters:
  `defaultKeyFormatter` - the default key formatter. Must not be `null`.